package org.uoc.pac3.DroidEye;

import org.opencv.core.Scalar;
/**
 * @author Jordi Anducas Aregall
 * 
 *Aquesta classe emmagatzema la morfologia de la moneda
 *Així emmagatzema el radi i el color.
 *en el cas que es seleccioni l'analisis d'aquesta també s'emmagatzema el nom
 */


public class Coin {
	
	//morfologia de la moneda
	private int mRadius;
	private Scalar mColor;
	private String mName;
	
	
	Coin(String Name,int Radius,Scalar Color)
	{
		mRadius=Radius;
		mColor=Color;
		mName=Name;
	}
	
	public int getRadius()
	{
		return mRadius;
	}
	
	
	public Scalar getColor()
	{
		return mColor;
	}
	
	public String GetName()
	{
		return mName;
	}
	
	public void SetName(String Name)
	{
		mName=Name;
	}
	
}
